Skip to main content
POST
/
card-holders
/
{cardHolderId}
/
documents
Upload card holder documents
curl --request POST \
  --url https://api-dev.paygen.online/card-holders/{cardHolderId}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'document={"type":"international_passport","number":"***9884"}' \
  --form 'proofOfAddress={"type":"utility_bill","documentId":"45701434313"}' \
  --form 'identification=<string>' \
  --form documentMain='@example-file' \
  --form documentBack='@example-file' \
  --form proof_of_address='@example-file'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardHolderId
string
required

Body

multipart/form-data
document
string

JSON string containing identity document metadata.

Example:

"{\"type\":\"international_passport\",\"number\":\"***9884\"}"

proofOfAddress
string

JSON string containing proof-of-address metadata.

Example:

"{\"type\":\"utility_bill\",\"documentId\":\"45701434313\"}"

identification
string

Optional JSON string with document and proofOfAddress payloads.

documentMain
file
documentBack
file
proof_of_address
file

Response

200 - application/json

Card holder documents uploaded successfully.

statusCode
integer
required
message
string
required
data
object